PowerPoint7GraphInternal::Picture Struct Reference

Internal: a picture of a PowerPoint7Graph. More...

## Public Member Functions

| Picture ()
| constructor
bool | isEmpty () const
| returns true if the picture is empty

## Public Attributes

MWAWEmbeddedObject | m_object
| the picture data
MWAWBox2i | m_box
| the picture box
std::string | m_name
| the picture name

## Detailed Description

Internal: a picture of a PowerPoint7Graph.

## Constructor & Destructor Documentation

## Picture()

PowerPoint7GraphInternal::Picture::Picture | ( |  | ) |

inline

constructor

## Member Function Documentation

## isEmpty()

bool PowerPoint7GraphInternal::Picture::isEmpty | ( |  | ) | const

inline

returns true if the picture is empty

Referenced by PowerPoint7Graph::readPictureList().

## Member Data Documentation

## m_box

MWAWBox2i PowerPoint7GraphInternal::Picture::m_box

the picture box

Referenced by Picture(), PowerPoint7Graph::readBitmapContainer(), and PowerPoint7Graph::readMetaFileContainer().

## m_name

std::string PowerPoint7GraphInternal::Picture::m_name

the picture name

Referenced by Picture(), and PowerPoint7Graph::readBitmapContainer().

## m_object

MWAWEmbeddedObject PowerPoint7GraphInternal::Picture::m_object

the picture data

Referenced by isEmpty(), Picture(), PowerPoint7Graph::readBitmapContainer(), and PowerPoint7Graph::readMetaFileContainer().

The documentation for this struct was generated from the following file:

- PowerPoint7Graph.cxx